#include <pic.h>   

__CONFIG(UNPROTECT & PWRTEN & HS & BORDIS & WDTDIS & LVPDIS);

#define		LED1		RB2
#define		LED2		RB1

#define		BUT1		RB5
#define		BUT2		RB4

//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

unsigned char ch;

void InitUsart(void) {

	// TX Pin - output
	TRISC6 = 0;

	// RX Pin - input
	TRISC7 = 1;

	// RX Setting, 8bit, enable receive, 
	RCSTA = 0x90; 

	// TX Setting, 8bit, Asinchronius mode, High speed 
	TXSTA = 0x24;

	// Set Baudrade - 9600 (from datasheet baudrade table)
	SPBRG = 129;

}


void  WriteByte(unsigned char byte) {
	
	// wait until register is empty 
	while(!TXIF);

	// transmite byte	
	TXREG = byte;
}

unsigned char ReadByte(void) {
	
	// wait to receive character
	while(!RCIF);

	// return received character
	return RCREG;	
}


// main function
void main( void ) {

	// Init Interface
	InitUsart();

	// loop forever - echo 
	while(1) {
		ch = ReadByte();
		WriteByte(ch);
		WriteByte('*');
	}
}